#include <iostream>

using namespace std;

int main()
{
int t, n, m, k, x, l;
cin>>t;
for(int i=1; i<=t; i++)
{
    cin>>n>>m>>k;
    x=n/k;
    l=n-x*(k-1);
    if((x*(x+1)*(k-1))/2 + (l*(l+1)/2) <= m)
        cout<<"Tak"<<endl;
    else cout<<"Nie"<<endl;
}
}